/* 
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  


   ### File Specific:
   main-programmer: Benjamin Grauer

*/

#include "orxonox_gui_update.h"
#include <iostream>
#include <string>

#include "orxonox_gui.h"
#include <stdio.h>
using namespace std;

/**
   \brief Creates an Audio-Frame
*/
OrxonoxGuiUpdate::OrxonoxGuiUpdate ()
{
  this->updateFrame = new Frame ("Update-Options:");
  this->updateBox = new Box ('v');
  this->updateWindowCreate ();

  this->updateBox->fill(this->updateWindowGetButton());

  this->updateFrame->fill(this->updateBox);
}

/**
   \brief Return the Frame
   \return Returns the Audio-frame
*/
Widget* OrxonoxGuiUpdate::getWidget ()
{
  return updateFrame;
}

void OrxonoxGuiUpdate::updateWindowCreate (void)
{
  updateWindow = new Window ("dampfen::update");   
  Window::addWindow(updateWindow);
  
  updateWindowBox = new Box ('v');

  updateData = new Button ("update orxonox::Data");

#ifdef HAVE_GTK2 
  updateData->connectSignal("button_press_event", updateData, updateDataFunc);
#endif /* HAVE_GTK2 */
  updateWindowBox->fill (updateData);

  updateSource = new Button ("update orxonox::Source");
#ifdef HAVE_GTK2 
  updateSource->connectSignal("button_press_event", updateData, updateSourceFunc);
#endif /* HAVE_GTK2 */
  updateWindowBox->fill (updateSource);
  
  // the close-Button of the Update Window.
  updateWindowClose = new Button ("close");
#ifdef HAVE_GTK2 
  updateWindowClose->connectSignal("button_press_event", updateWindow, Window::windowClose);
#endif /* HAVE_GTK2 */
  updateWindowBox->fill(updateWindowClose);
  updateWindow->fill (updateWindowBox);


  // crating the button that opens the Update Options 
#ifdef HAVE_GTK2 
  updateWindowButton = new Button ("update");
  updateWindowButton->connectSignal("button_press_event", updateWindow, Window::windowOpen);
  updateWindow->connectSignal("destroy", updateWindow, Window::windowClose);
  updateWindow->connectSignal("delete_event", updateWindow, Window::windowClose);
#endif /* HAVE_GTK2 */


}

/**
   \returns A Pointer to the Button of the UpdaterWindow
*/
Button* OrxonoxGuiUpdate::updateWindowGetButton(void)
{
  return updateWindowButton;
}


#ifdef HAVE_GTK2 
/**
   \brief updates the Data of orxonox.
   \param w The widget, that executed this Function.
   \param event The event that trigered this Function.
   \param button The Button, that triggered this event.
*/
gint OrxonoxGuiUpdate::updateDataFunc(GtkWidget* w, GdkEventKey* event, void* button)
{

}

/**
   \brief updates the source of orxonox.
   \param w The widget, that executed this Function.
   \param event The event that trigered this Function.
   \param button The Button, that triggered this event.
*/
gint OrxonoxGuiUpdate::updateSourceFunc(GtkWidget* w, GdkEventKey* event, void* button)
{

}

#endif /* HAVE_GTK2 */
